[gtksourceview/wip/modern-autotools] build: don't use gnome-autogen.sh



commit db3d42546ab55015cd3c2601175ca7cde281c21f
Author: Sébastien Wilmet <swilmet gnome org>
Date:   Sun Aug 9 12:39:13 2015 +0200

    build: don't use gnome-autogen.sh
    
    gnome-common is deprecated.
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh |   49 +++++++++++++++++++++++++++++++++++--------------
 1 files changed, 35 insertions(+), 14 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index e2a500f..b277d73 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,21 +1,42 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=`pwd`
 
-(test -f $srcdir/configure.ac \
-  && test -f $srcdir/README \
-  && test -d $srcdir/gtksourceview) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level GtkSourceView directory"
-    exit 1
-}
+cd $srcdir
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME Git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
+(test -f configure.ac) || {
+       echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+       exit 1
 }
 
-. gnome-autogen.sh
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+       echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+       echo "*** If you wish to pass any to it, please specify them on the" >&2
+       echo "*** \`$0\' command line." >&2
+       echo "" >&2
+fi
+
+set -x
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+       $srcdir/configure "$@" || exit 1
+
+       if [ "$1" = "--help" ]; then exit 0 else
+               echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+       fi
+else
+       echo "Skipping configure process."
+fi
+
+{ set +x; } 2>/dev/null


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]